The object management API.

## Functions

int | LIBMTP_Delete_Object (LIBMTP_mtpdevice_t *, uint32_t)

## Detailed Description

## Function Documentation

int LIBMTP_Delete_Object | ( | LIBMTP_mtpdevice_t * | device,
|  | uint32_t | object_id
| ) |  |

This function deletes a single file, track, playlist or any other object off the MTP device, identified by an object ID.

Parameters

  device | a pointer to the device to delete the file or track from.
  item_id | the item to delete.

Returns
  0 on success, any other value means failure.

References LIBMTP_mtpdevice_struct::params.